package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 显示电子门牌信息(0.显示时间,1.自定义内容)枚举类
*
* @author zxfei
*/
public enum ShowElectEnum {
    显示时间(0, "显示时间"),
    自定义内容(1, "自定义内容");
    private Integer value;
    private String desc;

    ShowElectEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static ShowElectEnum getByValue(Integer value) {
        for (ShowElectEnum showElectEnum : ShowElectEnum.values()) {
            if (showElectEnum.getValue() == value) {
                return showElectEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (ShowElectEnum item : ShowElectEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}